Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5713)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5714)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"POT-Creation-Date: 2011-02-09 09:13+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -26,17 +26,32 @@
 msgstr "Produkte"
 
+#. Default: "Author's homepage in this site"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+msgid "author_homepage"
+msgstr "Hompage des Mitglieds"
+
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
 msgid "description_no_results_found"
 msgstr "Keine Mitglieder gefunden."
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
 msgid "heading_list_members"
 msgstr "Projektmitglieder"
 
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
 msgid "member_listing_not_allowed"
-msgstr "Das Mitgliederverzeichnis nicht einsehbar."
+msgstr "Das Mitgliederverzeichnis ist nicht einsehbar."
 
+#. Default: "Personal Preferences"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+msgid "personal_preferences"
+msgstr "Persönliche Einstellungen"
+
+#. Default: "Send feedback"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+msgid "send_feedback"
+msgstr "Sende Rückmeldung"
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5713)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5714)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"POT-Creation-Date: 2011-02-09 09:13+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -19,24 +19,39 @@
 #: ../profiles/default/./actions.xml
 msgid "About Us"
-msgstr ""
+msgstr "About Us"
 
 #. Default: "Products"
 #: ../profiles/default/./actions.xml
 msgid "Products"
-msgstr ""
+msgstr "Products"
+
+#. Default: "members's homepage in this site"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+msgid "author_homepage"
+msgstr "members's homepage in this site"
 
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
 msgid "description_no_results_found"
 msgstr "No members found."
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
 msgid "heading_list_members"
 msgstr "Project Members"
 
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
 msgid "member_listing_not_allowed"
 msgstr "You are not allowed to list portal members."
 
+#. Default: "personal preferences"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+msgid "personal_preferences"
+msgstr "personal preferences"
+
+#. Default: "send feedback"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+msgid "send_feedback"
+msgstr "send feedback"
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5713)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5714)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"POT-Creation-Date: 2011-02-09 09:13+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
@@ -26,17 +26,32 @@
 msgstr "Produits"
 
+#. Default: "Author's homepage in this site"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+msgid "author_homepage"
+msgstr ""
+
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
 msgid "description_no_results_found"
 msgstr ""
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
 msgid "heading_list_members"
 msgstr ""
 
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
 msgid "member_listing_not_allowed"
 msgstr ""
 
+#. Default: "Personal Preferences"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+msgid "personal_preferences"
+msgstr ""
+
+#. Default: "Send feedback"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+msgid "send_feedback"
+msgstr ""
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5713)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5714)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"POT-Creation-Date: 2011-02-09 09:13+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -16,18 +16,8 @@
 "Domain: waeup\n"
 
-#. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
-msgid "description_no_results_found"
-msgstr "No members found."
-
-#. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
-msgid "heading_list_members"
-msgstr "Project Members"
-
-#. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
-msgid "member_listing_not_allowed"
-msgstr "You are not allowed to list portal members."
+#. Default: "About Us"
+#: ../profiles/default/./actions.xml
+msgid "About Us"
+msgstr ""
 
 #. Default: "Products"
@@ -36,6 +26,32 @@
 msgstr ""
 
-#. Default: "About Us"
-#: ../profiles/default/./actions.xml
-msgid "About Us"
+#. Default: "members's homepage in this site"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+msgid "author_homepage"
 msgstr ""
+
+#. Default: "No members found."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
+msgid "description_no_results_found"
+msgstr ""
+
+#. Default: "Project Members"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
+msgid "heading_list_members"
+msgstr ""
+
+#. Default: "You are not allowed to list portal members."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
+msgid "member_listing_not_allowed"
+msgstr ""
+
+#. Default: "personal preferences"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+msgid "personal_preferences"
+msgstr ""
+
+#. Default: "send feedback"
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+msgid "send_feedback"
+msgstr ""
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5713)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5714)
@@ -72,7 +72,5 @@
                       <td>
                        <span tal:condition="python: author['fullname']">
-                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}">
-                           <span tal:content="python: author['fullname']">name</span>
-                         </a>
+                         <span tal:content="python: author['fullname']">name</span>
                        </span>
                        <span tal:condition="python: not author['fullname']">
@@ -82,11 +80,30 @@
     
                       <td>
-                       <span tal:content="author/location|nothing" >Location</span>
-                      </td>                  
+                       <span tal:content="author/location|nothing">Location</span>
+                      </td>     
+                      
+                      <td>
+                       <span tal:condition="python: author['fullname'] and not is_anonymous">
+                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}"
+                                     i18n:translate="send_feedback">
+                           send feedback
+                         </a>
+                       </span>
+                      </td>     
+                      
+                      <td>
+                       <span tal:condition="python: author['fullname']">
+                         <a href="#" tal:attributes="href string:${portal_url}/Members/${id}"
+                                     i18n:translate="author_homepage">
+                           members's homepage in this site
+                         </a>
+                       </span>
+                      </td>                                                            
                         
                       <td>
                        <span tal:condition="python: id == pm.getAuthenticatedMember().id">
-                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form">
-                           Personal Preferences
+                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form"
+                                     i18n:translate="personal_preferences">
+                           personal preferences
                          </a>
                        </span>