Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5714)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5716)
@@ -26,6 +26,7 @@
 msgstr "Produkte"
 
-#. Default: "Author's homepage in this site"
+#. Default: "members's homepage in this site"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#, fuzzy
 msgid "author_homepage"
 msgstr "Hompage des Mitglieds"
@@ -46,11 +47,18 @@
 msgstr "Das Mitgliederverzeichnis ist nicht einsehbar."
 
-#. Default: "Personal Preferences"
+#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+msgid "name_not_listed"
+msgstr "Wenn du ein WAeUP-Mitglied bist, jedoch deinen Namen hier nicht findest, logge dich bitte ein und fülle das Formular 'Meine Einstellungen' aus. Nach dem Abspeichern wird dein Name automatisch erscheinen."
+
+#. Default: "personal preferences"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+#, fuzzy
 msgid "personal_preferences"
 msgstr "Persönliche Einstellungen"
 
-#. Default: "Send feedback"
+#. Default: "send feedback"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+#, fuzzy
 msgid "send_feedback"
 msgstr "Sende Rückmeldung"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5714)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5716)
@@ -46,4 +46,9 @@
 msgstr "You are not allowed to list portal members."
 
+#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+msgid "name_not_listed"
+msgstr ""
+
 #. Default: "personal preferences"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5714)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5716)
@@ -26,5 +26,5 @@
 msgstr "Produits"
 
-#. Default: "Author's homepage in this site"
+#. Default: "members's homepage in this site"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
 msgid "author_homepage"
@@ -46,10 +46,15 @@
 msgstr ""
 
-#. Default: "Personal Preferences"
+#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+msgid "name_not_listed"
+msgstr ""
+
+#. Default: "personal preferences"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
 msgid "personal_preferences"
 msgstr ""
 
-#. Default: "Send feedback"
+#. Default: "send feedback"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
 msgid "send_feedback"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5714)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5716)
@@ -56,2 +56,7 @@
 msgstr ""
 
+#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
+#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+msgid "name_not_listed"
+msgstr ""
+