Index: /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5718)
@@ -63,7 +63,4 @@
 waeup/plonetheme/skins/waeup_plonetheme_custom_images/logo_alternative.png
 waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt
-waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author.cpt
-waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author.cpt.metadata
-waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author_feedback_template.pt
 waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
 waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5718)
@@ -21,4 +21,14 @@
 msgstr "Über uns"
 
+#. Default: "History, Background, Philosophy"
+#: ../profiles/default/./actions.xml
+msgid "History, Background, Philosophy"
+msgstr "Geschichte, Hintergrund, Philosophie"
+
+#. Default: "Prices"
+#: ../profiles/default/./actions.xml
+msgid "Prices"
+msgstr "Preise"
+
 #. Default: "Products"
 #: ../profiles/default/./actions.xml
@@ -26,5 +36,10 @@
 msgstr "Produkte"
 
-#. Default: "members's homepage in this site"
+#. Default: "Technology, Downloads"
+#: ../profiles/default/./actions.xml
+msgid "Technology, Downloads"
+msgstr "Technologie, Downloads"
+
+#. Default: "members's homepage"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
 #, fuzzy
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5718)
@@ -21,4 +21,14 @@
 msgstr "About Us"
 
+#. Default: "History, Background, Philosophy"
+#: ../profiles/default/./actions.xml
+msgid "History, Background, Philosophy"
+msgstr ""
+
+#. Default: "Prices"
+#: ../profiles/default/./actions.xml
+msgid "Prices"
+msgstr ""
+
 #. Default: "Products"
 #: ../profiles/default/./actions.xml
@@ -26,8 +36,14 @@
 msgstr "Products"
 
-#. Default: "members's homepage in this site"
+#. Default: "Technology, Downloads"
+#: ../profiles/default/./actions.xml
+msgid "Technology, Downloads"
+msgstr ""
+
+#. Default: "members's homepage"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#, fuzzy
 msgid "author_homepage"
-msgstr "members's homepage in this site"
+msgstr "members's homepage"
 
 #. Default: "No members found."
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5718)
@@ -21,4 +21,14 @@
 msgstr "Qui nous sommes"
 
+#. Default: "History, Background, Philosophy"
+#: ../profiles/default/./actions.xml
+msgid "History, Background, Philosophy"
+msgstr ""
+
+#. Default: "Prices"
+#: ../profiles/default/./actions.xml
+msgid "Prices"
+msgstr "Prix"
+
 #. Default: "Products"
 #: ../profiles/default/./actions.xml
@@ -26,5 +36,10 @@
 msgstr "Produits"
 
-#. Default: "members's homepage in this site"
+#. Default: "Technology, Downloads"
+#: ../profiles/default/./actions.xml
+msgid "Technology, Downloads"
+msgstr ""
+
+#. Default: "members's homepage"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
 msgid "author_homepage"
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5718)
@@ -26,8 +26,23 @@
 msgstr ""
 
-#. Default: "members's homepage in this site"
+#. Default: "Prices"
+#: ../profiles/default/./actions.xml
+msgid "Prices"
+msgstr ""
+
+#. Default: "History, Background, Philosophy"
+#: ../profiles/default/./actions.xml
+msgid "History, Background, Philosophy"
+msgstr ""
+
+#. Default: "Technology, Downloads"
+#: ../profiles/default/./actions.xml
+msgid "Technology, Downloads"
+msgstr ""
+
+#. Default: "members's homepage"
 #: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
 msgid "author_homepage"
-msgstr ""
+msgstr "members's homepage"
 
 #. Default: "No members found."
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5718)
@@ -23,5 +23,5 @@
   <object name="products" meta_type="CMF Action" i18n:domain="waeup">
    <property name="title" i18n:translate="">Products</property>
-   <property name="description" i18n:translate=""></property>
+   <property name="description" i18n:translate="">Technology, Downloads</property>
    <property
       name="url_expr">string:${globals_view/navigationRootUrl}/products-${plone_portal_state/language}</property>
@@ -36,5 +36,5 @@
   <object name="about" meta_type="CMF Action" i18n:domain="waeup">
    <property name="title" i18n:translate="">About Us</property>
-   <property name="description" i18n:translate=""></property>
+   <property name="description" i18n:translate="">History, Background, Philosophy</property>
    <property
       name="url_expr">string:${globals_view/navigationRootUrl}/about-${plone_portal_state/language}</property>
@@ -46,4 +46,17 @@
    <property name="visible">True</property>
   </object>      
+  
+  <object name="prices" meta_type="CMF Action" i18n:domain="waeup">
+   <property name="title" i18n:translate="">Prices</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${globals_view/navigationRootUrl}/prices-${plone_portal_state/language}</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>        
   
   <object name="waeupmembers" meta_type="CMF Action" i18n:domain="plone">
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5717)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5718)
@@ -16,4 +16,13 @@
 }
 
+
+/*
+** BASE.CSS CUSTOMIZATION STYLES 
+*/
+
+#content p, #content table, #content dl, dl.portlet p, dl.portlet {
+    margin-top: 0.5em;
+    margin-bottom: 0.5em;
+}
 
 /*