Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py	(revision 5743)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py	(revision 5744)
@@ -42,7 +42,6 @@
 from waeup.sirp.datacenter import DataCenter
 from waeup.sirp.applicants.jambtables import (
-    JAMBDataTable, JAMBDataPlugin, JAMBDataRoot,
+    JAMBDataPlugin, JAMBDataRoot,
     )
-from waeup.sirp.applicants.jambtables.interfaces import IJAMBDataTable
 
 class FakeSite(dict):
@@ -69,131 +68,4 @@
         return
 
-class JAMBTableTestCase(JAMBTableTestCaseBase):
-    def test_createJAMBTable(self):
-        table = JAMBDataTable()
-        self.assertEqual(table._data_len, 0)
-        self.assertEqual(table._temporary, False)
-        self.assertEqual(table._datafile_path, None)
-        return
-
-    def test_iterator(self):
-        table = JAMBDataTable()
-        self.assertEqual(len(list(table)), 0)
-        table.importFromCSV(self.datafile)
-        self.assertEqual(len(list(table)), 3)
-
-    def test_import(self):
-        table = JAMBDataTable()
-        self.assertEqual(table.import_datetime, None)
-        table.importFromCSV(self.datafile)
-        self.assertNotEqual(table.import_datetime, None)
-
-    def test_clear(self):
-        table = JAMBDataTable()
-        table.importFromCSV(self.datafile)
-        path = table._datafile_path
-        table.clear()
-        exists = os.path.exists(path)
-        self.assertEqual(exists, False)
-        self.assertEqual(0, len(list(table)))
-
-    def test_clear_broken_path(self):
-        table = JAMBDataTable()
-        table.importFromCSV(self.datafile)
-        path = table._datafile_path
-        table._datafile_path = 'not-existent-path'
-        table.clear()
-        
-    def test_import_datetime(self):
-        table = JAMBDataTable()
-        self.assertTrue(table.import_datetime is None)
-        table.importFromCSV(self.datafile)
-        now = datetime.now()
-        diff = now - table.import_datetime
-        self.assertTrue(diff.seconds < 5)
-        table.clear()
-        self.assertTrue(table.import_datetime is None)
-
-    def test_importer_username(self):
-        table = JAMBDataTable()
-        self.assertTrue(table.importer_username is None)
-        table.importFromCSV(self.datafile, 'manfred')
-        self.assertEqual(table.importer_username, u'manfred')
-        self.assertTrue(isinstance(table.importer_username, unicode))
-        table.importFromCSV(self.datafile, 'fred')
-        self.assertEqual(table.importer_username, u'fred')
-        table.importFromCSV(self.datafile)
-        self.assertTrue(table.importer_username is None)
-        table.clear()
-        self.assertTrue(table.importer_username is None)
-
-    def test_keys(self):
-        table = JAMBDataTable()
-        self.assertFalse('91100546DD' in table.keys())
-        table.importFromCSV(self.datafile)
-        self.assertTrue('91100546DD' in table.keys())
-        self.assertFalse('91100546DE' in table.keys())
-
-    def test_items(self):
-        table = JAMBDataTable()
-        self.assertEqual([], list(table.items()))
-        table.importFromCSV(self.datafile)
-        self.assertNotEqual([], list(table.items()))
-
-    def test_interface_compliance(self):
-        self.assertTrue(verifyClass(IJAMBDataTable, JAMBDataTable))
-        table = JAMBDataTable()
-        self.assertTrue(verifyObject(IJAMBDataTable, table))
-        table.importFromCSV(self.datafile)
-        self.assertTrue(verifyObject(IJAMBDataTable, table))
-
-class JAMBTableFunctionalTestCase(JAMBTableTestCaseBase):
-    """A test case where we check JAMB tables inside a site.
-    """
-
-    def setUp(self):
-        super(JAMBTableFunctionalTestCase, self).setUp()
-        
-        # We need at least these to register factories for a University.
-        grok.testing.grok('waeup.sirp.student')
-        grok.testing.grok('waeup.sirp.hostel')
-        grok.testing.grok('waeup.sirp.university')
-
-        self.site = University()
-        sm = LocalSiteManager(self.site)
-        self.site.setSiteManager(sm)
-        self.datacenter_dir = tempfile.mkdtemp()
-        self.datacenter = self.site['datacenter']
-        self.datacenter.setStoragePath(self.datacenter_dir)
-        # If the old datacenter already had a jambtables dir, remove it...
-        if os.path.isdir(
-            os.path.join(self.datacenter_dir, 'jambdata')
-            ):
-            shutil.rmtree(os.path.join(self.datacenter_dir, 'jambdata'))
-        return
-
-    def tearDown(self):
-        shutil.rmtree(self.tempdir)
-        shutil.rmtree(self.datacenter_dir)
-        # Unregister site...
-        setSite()
-        return
-
-    def test_createJAMBTableInSite(self):
-        table = JAMBDataTable()
-        self.assertEqual(table._data_len, 0)
-        self.assertEqual(table._temporary, False)
-        self.assertEqual(table._datafile_path, None)
-        table.importFromCSV(self.datafile)
-        return
-
-    def test_createJAMBTableOutsideSite(self):
-        clearSite(self.site)
-        table = JAMBDataTable()
-        self.assertEqual(table._data_len, 0)
-        self.assertEqual(table._temporary, False)
-        self.assertEqual(table._datafile_path, None)
-        table.importFromCSV(self.datafile)
-        return
 
 class JAMBDataPluginTestCase(unittest.TestCase):
@@ -293,6 +165,4 @@
     suite = unittest.TestSuite()
     for testcase in [
-        JAMBTableTestCase,
-        JAMBTableFunctionalTestCase,
         JAMBDataPluginTestCase,
         ]: