Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_applicants.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_applicants.py	(revision 5749)
+++ 	(revision )
@@ -1,111 +1,0 @@
-##
-## test_applicants.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Aug 24 04:36:11 2010 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2010 Uli Fouquet
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-## 
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-## 
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-"""Tests for applicants and related.
-"""
-import logging
-import unittest
-from StringIO import StringIO
-from zope.component.interfaces import IFactory
-from zope.interface import verify
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable
-from waeup.sirp.applicants.jambtables import (
-    ResultEntry, Applicant, ApplicantFactory, ApplicantContainer,
-    )
-from waeup.sirp.applicants.jambtables.interfaces import (
-    IResultEntry, IApplicant, IApplicantContainer,
-    )
-
-class ResultEntryTest(unittest.TestCase):
-
-    def setUp(self):
-        self.result_entry = ResultEntry()
-        return
-
-    def tearDown(self):
-        pass
-
-    def test_interfaces(self):
-        verify.verifyClass(IResultEntry, ResultEntry)
-        verify.verifyObject(IResultEntry, self.result_entry)
-
-    def test_resultentry(self):
-        entry = ResultEntry('Some subject', 3.7)
-        assert entry.subject == 'Some subject'
-        assert entry.score == 3.7
-
-class ApplicantTest(unittest.TestCase):
-
-    def setUp(self):
-        self.applicant = Applicant()
-
-    def tearDown(self):
-        pass
-
-    def test_interfaces(self):
-        verify.verifyClass(IApplicant, Applicant)
-        verify.verifyObject(IApplicant, self.applicant)
-
-class ApplicantFactoryTest(unittest.TestCase):
-
-    def setUp(self):
-        self.factory = ApplicantFactory()
-
-    def tearDown(self):
-        pass
-
-    def test_interfaces(self):
-        verify.verifyClass(IFactory, ApplicantFactory)
-        verify.verifyObject(IFactory, self.factory)
-
-    def test_factory(self):
-        obj = self.factory()
-        assert isinstance(obj, Applicant)
-
-    def test_getInterfaces(self):
-        implemented_by = self.factory.getInterfaces()
-        assert implemented_by.isOrExtends(IApplicant)
-
-class ApplicantContainerTest(unittest.TestCase):
-
-    def setUp(self):
-        self.container = ApplicantContainer()
-        return
-
-    def tearDown(self):
-        pass
-
-    def test_interfaces(self):
-        verify.verifyClass(IApplicantContainer, ApplicantContainer)
-        verify.verifyObject(IApplicantContainer, self.container)
-
-
-def test_suite():
-    suite = unittest.TestSuite()
-    for testcase in [
-        ResultEntryTest, ApplicantTest, ApplicantFactoryTest,
-        ApplicantContainerTest,
-        ]:
-        suite.addTest(unittest.TestLoader().loadTestsFromTestCase(
-                testcase
-                )
-        )
-    return suite
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicants.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicants.py	(revision 5750)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicants.py	(revision 5750)
@@ -0,0 +1,111 @@
+##
+## test_applicants.py
+## Login : <uli@pu.smp.net>
+## Started on  Tue Aug 24 04:36:11 2010 Uli Fouquet
+## $Id$
+## 
+## Copyright (C) 2010 Uli Fouquet
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+## 
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+## 
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""Tests for applicants and related.
+"""
+import logging
+import unittest
+from StringIO import StringIO
+from zope.component.interfaces import IFactory
+from zope.interface import verify
+from waeup.sirp.interfaces import IWAeUPSIRPPluggable
+from waeup.sirp.applicants.jambtables import (
+    ResultEntry, Applicant, ApplicantFactory, ApplicantContainer,
+    )
+from waeup.sirp.applicants.jambtables.interfaces import (
+    IResultEntry, IApplicant, IApplicantContainer,
+    )
+
+class ResultEntryTest(unittest.TestCase):
+
+    def setUp(self):
+        self.result_entry = ResultEntry()
+        return
+
+    def tearDown(self):
+        pass
+
+    def test_interfaces(self):
+        verify.verifyClass(IResultEntry, ResultEntry)
+        verify.verifyObject(IResultEntry, self.result_entry)
+
+    def test_resultentry(self):
+        entry = ResultEntry('Some subject', 3.7)
+        assert entry.subject == 'Some subject'
+        assert entry.score == 3.7
+
+class ApplicantTest(unittest.TestCase):
+
+    def setUp(self):
+        self.applicant = Applicant()
+
+    def tearDown(self):
+        pass
+
+    def test_interfaces(self):
+        verify.verifyClass(IApplicant, Applicant)
+        verify.verifyObject(IApplicant, self.applicant)
+
+class ApplicantFactoryTest(unittest.TestCase):
+
+    def setUp(self):
+        self.factory = ApplicantFactory()
+
+    def tearDown(self):
+        pass
+
+    def test_interfaces(self):
+        verify.verifyClass(IFactory, ApplicantFactory)
+        verify.verifyObject(IFactory, self.factory)
+
+    def test_factory(self):
+        obj = self.factory()
+        assert isinstance(obj, Applicant)
+
+    def test_getInterfaces(self):
+        implemented_by = self.factory.getInterfaces()
+        assert implemented_by.isOrExtends(IApplicant)
+
+class ApplicantContainerTest(unittest.TestCase):
+
+    def setUp(self):
+        self.container = ApplicantContainer()
+        return
+
+    def tearDown(self):
+        pass
+
+    def test_interfaces(self):
+        verify.verifyClass(IApplicantContainer, ApplicantContainer)
+        verify.verifyObject(IApplicantContainer, self.container)
+
+
+def test_suite():
+    suite = unittest.TestSuite()
+    for testcase in [
+        ResultEntryTest, ApplicantTest, ApplicantFactoryTest,
+        ApplicantContainerTest,
+        ]:
+        suite.addTest(unittest.TestLoader().loadTestsFromTestCase(
+                testcase
+                )
+        )
+    return suite