Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/README.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/README.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/README.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/README.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/app.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/app.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/app.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/app.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/authentication.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/authentication.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/authentication.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/authentication.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/batchprocessing.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/batchprocessing.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/batchprocessing.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/browser/batchprocessing.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/breadcrumbs.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/breadcrumbs.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/breadcrumbs.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/browser/breadcrumbs.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/browser.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/browser.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/browser/browser.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/browser/browser.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/catalog.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/catalog.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/catalog.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/catalog.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/datacenter.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/datacenter.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/datacenter.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/datacenter.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/image/browser/image.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/image/browser/image.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/image/browser/image.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../../src/waeup/sirp/image/browser/image.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/index.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/index.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/index.rst	(revision 5771)
@@ -0,0 +1,28 @@
+Doctests
+********
+
+.. toctree::
+
+   README
+   app
+   users
+   authentication
+   permissions
+   datacenter
+   catalog
+   browser/browser
+   browser/batchprocessing
+   browser/breadcrumbs
+   university/facultycontainer
+   university/faculty
+   university/department
+   university/certificatecontainer
+   university/coursecontainer
+   university/certificate
+   university/course
+   university/courserefs
+   image/browser/image
+   utils/batching
+   utils/converters
+   utils/importexport
+   utils/helpers
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/permissions.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/permissions.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/permissions.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/permissions.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificate.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificate.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificate.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/certificate.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificatecontainer.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificatecontainer.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/certificatecontainer.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/certificatecontainer.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/course.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/course.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/course.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/course.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/coursecontainer.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/coursecontainer.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/coursecontainer.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/coursecontainer.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/courserefs.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/courserefs.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/courserefs.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/courserefs.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/department.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/department.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/department.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/department.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/faculty.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/faculty.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/faculty.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/faculty.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/facultycontainer.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/facultycontainer.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/university/facultycontainer.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/university/facultycontainer.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/users.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/users.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/users.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../src/waeup/sirp/users.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/batching.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/batching.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/batching.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/utils/batching.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/converters.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/converters.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/converters.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/utils/converters.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/helpers.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/helpers.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/helpers.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/utils/helpers.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/importexport.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/importexport.rst	(revision 5771)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/doctests/utils/importexport.rst	(revision 5771)
@@ -0,0 +1,1 @@
+.. include:: ../../../../../src/waeup/sirp/utils/importexport.txt
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/index.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/index.rst	(revision 5770)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/index.rst	(revision 5771)
@@ -3,6 +3,8 @@
 
 .. toctree::
+   :maxdepth: 2
    
    developernotes
    api/index
    german/index
+   doctests/index