Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser.py	(revision 5774)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser.py	(revision 5776)
@@ -62,86 +62,4 @@
 list_results_display_widget = CustomWidgetFactory(
     MultiListDisplayWidget, subwidget=results_display_widget)
-
-#class ApplicationsPage(WAeUPPage):
-#    grok.context(IApplicantContainer)
-#    grok.name('index')
-#    title = 'Applications'
-#    pnav = 1
-#    
-#    def getApplications(self):
-#        """Get a list of all stored applications.
-#        """
-#        for key, val in self.context.items():
-#            url = self.url(val)
-#            yield(dict(url=url, name=key))
-
-#class AddApplicant(WAeUPAddFormPage):
-#    grok.context(IApplicantContainer)
-#    grok.name('add')
-#    form_fields = grok.AutoFields(IApplicant)
-#    form_fields['fst_sit_results'].custom_widget = list_results_widget
-#    form_fields['passport'].custom_widget = EncodingImageFileWidget
-#    label = 'Add Applicant'
-#    title = 'Add Applicant'
-#    pnav = 1
-#
-#    @grok.action('Add applicant')
-#    def addApplicant(self, **data):
-#        from waeup.sirp.jambtables.applicants import Applicant
-#        applicant = Applicant()
-#        self.applyData(applicant, **data)
-#        # XXX: temporarily disabled.
-#        #self.context[applicant.reg_no] = applicant
-#        try:
-#            self.context[applicant.access_code] = applicant
-#        except KeyError:
-#            self.flash('The given access code is already in use!')
-#            return
-#        self.redirect(self.url(self.context))
-
-class DisplayApplicant(WAeUPDisplayFormPage):
-    grok.context(IApplicant)
-    grok.name('index')
-    form_fields = grok.AutoFields(IApplicant)
-    form_fields['fst_sit_results'].custom_widget = list_results_display_widget
-    #form_fields['passport'].custom_widget = PassportDisplayWidget
-    form_fields['passport'].custom_widget = ThumbnailWidget
-    label = 'Applicant'
-    title = 'Applicant'
-    pnav = 1
-
-class EditApplicant(WAeUPEditFormPage):
-    grok.context(IApplicant)
-    grok.name('edit')
-    form_fields = grok.AutoFields(IApplicantPDEEditData)
-    #form_fields['passport'].custom_widget = FileWidget
-    #form_fields['passport'].custom_widget = PassportWidget
-    form_fields['passport'].custom_widget = EncodingImageFileWidget
-    grok.template('form_edit_pde')
-
-    def update(self):
-        super(EditApplicant, self).update()
-        print self.request.form
-        return
-    
-    @property
-    def label(self):
-        # XXX: Use current/upcoming session
-        return 'Apply for Post UDE Screening Test (2009/2010)'
-    title = 'Edit Application'
-    pnav = 1
-
-    @grok.action('Save')
-    def save(self, **data):
-        self.applyData(self.context, **data)
-        self.context._p_changed = True
-        return
-
-    @grok.action('Final Submit')
-    def finalsubmit(self, **data):
-        self.applyData(self.context, **data)
-        self.context._p_changed = True
-        # XXX: Lock the form for editing...
-        return
 
 class Login_PDE(LoginPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser_templates/applicationspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser_templates/applicationspage.pt	(revision 5774)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<div>
-  <div tal:repeat="entry view/getApplications">
-    <a href=""
-       tal:attributes="href entry/url"
-       tal:content="entry/name"
-       >Some Entry</a>
-  </div>
-</div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser_templates/form_edit_pde.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/browser_templates/form_edit_pde.pt	(revision 5774)
+++ 	(revision )
@@ -1,89 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
-      Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
-  </div>
-
-  <table class="form-fields">
-    <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-          </td>
-          <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-          </td>
-        </tr>
-      </tal:block>
-      <tr>
-	<td colspan="2">
-	  <input type="checkbox" name="confirm" />
-	  <label for="confirm"></label>
-<span>
-	    I confirm that the Passport Photograph uploaded on this form
-            is a true picture of me.
-	  </span>
-	</td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
-</form>
-
-<br />
-
-<div class="block">
-  <h3>Instructions</h3>
-  <ul class="list">
-    <li>
-      Enter your JAMB Registration Number and the Application PIN.
-    </li>
-    <li>
-      Fill the form and upload your Passport Photograph with red background
-      in jpg format.
-    </li>
-    <li>
-      Save and preview picture.  * Press the 'Final Submit' button.
-    </li>
-  </ul>
-</div>